Subject: Re: [PATCH net] gve: Cache link_speed value from device

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Mar 2023 17:42:27 -0700

On Wed, 15 Mar 2023 10:40:16 -0700 [email-masked] wrote:
> From: Joshua Washington <[email-masked]>
> 
> The link speed is never changed for the uptime of a VM. Caching the
> value will allow for better performance.
> 
> Fixes: 7e074d5a76ca ("gve: Enable Link Speed Reporting in the driver.")

If it needs to go in as a fix / to stable we need a bit more info about
the nature of the problem. What user-visible (or hypervisor-visible)
impact will be?  What entity needs link info so often that it becomes
a problem?

The code looks fine as an optimization, i.e. for net-next, but you say
"PATCH net" and there's a Fixes tag...